/*
 *     file: SLeakEvent.java
 *  package: org.eclipse.swt.sleak.core
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.core;

/**
 * An event occurring in the S-Leak core.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 */
public final class SLeakEvent {

    /** The source of the event. */
    private final ISLeak source;

    /**
     * Creates a new <code>SLeakEvent</code> with the given parameters.
     * 
     * @param source The source of the event.
     */
    SLeakEvent(final ISLeak source) {
        this.source = source;
    }

    /**
     * Getter for source: The source of the event.
     * 
     * @return Returns the source.
     */
    public ISLeak getSource() {
        return this.source;
    }
}

/* ########## End of File ########## */