/*
 *     file: SLeakFactory.java
 *  package: org.eclipse.swt.sleak.core
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.core;

import org.eclipse.swt.widgets.Display;

/**
 * Builds the default implementation of ISLeak instance.
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 */
public final class SLeakFactory {

    /**
     * Fetch the default implementatin of ISLeak.
     * 
     * @param display The display that to be monitored.
     * @return The ISLeak instance capable of monitoring resources.
     */
    public final static ISLeak getISLeakInstance(final Display display) {
        return new SLeak(display);
    }
}

/* ########## End of File ########## */