/*
 *     file: IDeltaDeviceDataCache.java
 *  package: org.eclipse.swt.sleak.core
 *
 * This program and the accompanying materials are made available under 
 * the terms of the Common Public License v1.0 which accompanies this 
 * distribution, and is available at the following URL: 
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Copyright(c) 2003-2005 by the authors indicated in the @author tags.
 * All Rights are Reserved by the various authors.
 *
 ########## DO NOT EDIT ABOVE THIS LINE ########## */

package org.eclipse.swt.sleak.core;

/**
 * Encapsulates the delta between two <code>DeviceDataCache</code>s; this is often
 * referred to as a "delta cache".
 * <p>
 * A delta cache is created by setting a monitor point and then later stopping the
 * monitor. The cache then represents resources added and not disposed between the start
 * and stop of the monitor.
 * </p>
 * 
 * @author <a href=mailto:kraythe@arcor.de>Robert Simmons Jr. (Kraythe) </a>
 * @see org.eclipse.swt.sleak.core.ISLeak
 */
public interface IDeltaDeviceDataCache extends IDeviceDataCache {

    /**
     * Getter for after: The after view of the cache.
     * 
     * @return Returns the after.
     */
    public IDeviceDataCache getAfter();

    /**
     * Getter for before: The before view of the cache.
     * 
     * @return Returns the before.
     */
    public IDeviceDataCache getBefore();
}

/* ########## End of File ########## */